﻿using UnityEngine;
using System.Collections;

public class OverlapSphereScript : MonoBehaviour 
{
	public float radius = 0f;
	public Collider[] colliders;
	public LayerMask mask;

	void LateUpdate () 
	{
		colliders = Physics.OverlapSphere(transform.position, radius, mask);

		foreach(Collider col in colliders)
		{
			col.gameObject.renderer.material.color = Color.blue;
		}
	}
}
