﻿using UnityEngine;
using System.Collections;

public class MouseForceScript : MonoBehaviour 
{
	public float force = 5f;

	void Update () 
	{
		Ray ray = Camera.main.ScreenPointToRay (Input.mousePosition);
		RaycastHit hit;
		
		if(Physics.Raycast(ray, out hit))
		{
			if(!hit.rigidbody) return;

			hit.rigidbody.AddForceAtPosition((transform.position - hit.point) * force, 
			                                 hit.point, ForceMode.VelocityChange);
		}
	}
}
